abcl-asdf: bless abcl-asdf-1.5.0 as working with maven-3.3.x

parent 33ec0d5d
......@@ -2,7 +2,7 @@
(asdf:defsystem :abcl-asdf
:author "Mark Evenson"
:version "1.4.2"
:version "1.5.0"
:description "<> asdf:defsystem <urn:abcl.org/release/1.4.0-dev/contrib/abcl-asdf#1.4.2>"
:depends-on (jss)
:components
......
......@@ -191,7 +191,7 @@ of the mvn executable with an explicit value."
(probe-file *mvn-libs-directory*))
(error "Please obtain and install maven-3.0.3 or later locally from <http://maven.apache.org/download.html>, then set ABCL-ASDF:*MVN-LIBS-DIRECTORY* to the directory containing maven-core-3.*.jar et. al."))
(unless (ensure-mvn-version)
(error "We need maven-3.0.4 or later.")) (add-directory-jars-to-class-path *mvn-libs-directory* nil)
(error "We need maven-3.0.3 or later.")) (add-directory-jars-to-class-path *mvn-libs-directory* nil)
(setf *init* t))
(defun find-http-wagon ()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment